Subject: bug#36565: [PATCH] Suppress interactive-only warnings in undo-tests.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 11 Jul 2019 16:11:25 +0200

Stefan Kangas <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>> Hm...  is it worth it to suppress warnings in the tests, though?  I
>> think we kinda expect there to be a lot of noise when running the tests?
>
> I'm not sure I understand.  Do you mean that you're not sure if it's
> worth it to fix warnings in the Emacs test suite, or do you mean
> fixing with-suppressed-warnings to handle this case?

I meant the first.  I mean, I'm not opposed to it or anything, but my
opinion is that aiming for a warning-free test suite would be to put
an undue burden on the test writers for little gain.  (When we're used
to having a warning-free build, then any warning sticks out like a sore
thumb and is generally fixed pretty quickly...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no